<?php

require 'db.php';

$postdata = file_get_contents("php://input");
$request = json_decode($postdata);
if(isset($postdata) && !empty($postdata))
{
$val = mysqli_real_escape_string($con, trim($request->value));
if($val != null)
{
    $s_sql = "SELECT * FROM distance_db where id = '$val'";
    $s_query = mysqli_query($con,$s_sql);
    if($rows = $s_query->fetch_assoc())
    {
        $status = $rows['status'];
    }
    if($status != null)
    {
        if($status==0)
        {
            $c_sql = "UPDATE distance_db set status = '1' where id='$val'";
            $c_result = mysqli_query($con,$c_sql);
            if($c_result)
            {
                $rows = array('status'=>true,'message' => 'Distance Status Changed');
                echo json_encode($rows);
            }
        }
        else if($status==1)
        {
            $c_sql = "UPDATE distance_db set status = '0' where id='$val'";
            $c_result = mysqli_query($con,$c_sql);
            if($c_result)
            {
                $rows = array('status'=>true,'message' => 'Distance Status Changed');
                echo json_encode($rows);
            }
        }
    }
   
}
else
{
    $rows = array('status'=>false,'message' => 'Something Error');
    echo json_encode($rows);  
}
}

?>